%{?nodejs_find_provides_and_requires}

%global commit 74a42f06087891273274acf2e30065ee9454bd66

%global enable_tests 1

Name:       nodejs-css-stringify
Version:    1.4.1
Release:    1%{?dist}
Summary:    A CSS compiler for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/css-stringify
# Use GitHub as the NPM tarball is missing useful files/folders.
Source0:    https://github.com/visionmedia/css-stringify/archive/%{commit}/%{name}-%{version}.tar.gz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(css-parse)
BuildRequires:  npm(should)
BuildRequires:  npm(source-map)
%endif

%description
%{summary}.


%prep
%setup -q -n css-stringify-%{commit}
%nodejs_fixdep source-map '~0.1.27'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css-stringify
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/css-stringify

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc History.md LICENSE Readme.md examples/
%{nodejs_sitelib}/css-stringify


%changelog
* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.4.1-1
- initial package
